curl --request GET \
--url 'https://mrp.zolotenkov.ru/api/external/v1/sales-returns/42' \
--header 'Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ' \
--header 'Accept: application/json'
const response = await fetch("https://mrp.zolotenkov.ru/api/external/v1/sales-returns/42", {
method: "GET",
headers: {
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
});
const data = await response.json();
import requests
response = requests.get(
"https://mrp.zolotenkov.ru/api/external/v1/sales-returns/42",
headers={
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
<?php
$curl = curl_init('https://mrp.zolotenkov.ru/api/external/v1/sales-returns/42');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ",
"Accept: application/json",
],
]);
$response = curl_exec($curl);
var_dump(json_decode($response, true));
Ответ
{
"items": [
{
"batch_id": "42",
"id": "42",
"item_variant_id": "42",
"quantity": 2,
"quarantine": false,
"reason": "Брак или повреждение",
"reason_id": 2,
"reason_note": "на корпусе скол, упаковка вскрыта",
"sales_order_item_id": "42",
"sku": "ITM-4155",
"storage_place_id": "42",
"title": "Демо: ткань лен",
"unit_price": 120
}
],
"sales_return": {
"cancellation_reason": "Покупатель товар не привез",
"created_date": "2026-08-01T09:00:00Z",
"customer_id": "42",
"external_return_ref": "OZON-RET-88213",
"id": "42",
"notes": "Возврат по заявке покупателя",
"number": "В-4",
"refund_amount": 432,
"return_date": "2026-08-01T09:00:00Z",
"sales_order_id": "42",
"sales_order_number": "ЗК-1",
"source_type": "SALES_ORDER",
"status": "NOT_RETURNED",
"storage_place_id": "42",
"tracking_info": "Трек СДЭК 1234567890"
}
}
{
"error": "unauthorized",
"message": "Missing Authorization header",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "forbidden",
"message": "Missing required scope 'read:sales'",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "not_found",
"message": "Resource not found",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "rate_limited",
"message": "Rate limit exceeded",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}